classification
Title: Add addition and moving messages to mailbox module
Type: Stage:
Components: Library (Lib) Versions: Python 2.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: akuchling, georg.brandl
Priority: release blocker Keywords: patch

Created on 2003-02-14 13:42 by akuchling, last changed 2006-04-03 11:34 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
maildir.patch akuchling, 2003-02-14 13:43 Add add_message/move_message to mailbox.Maildir.
Messages (5)
msg42850 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2003-02-14 13:42
The Maildir class in the mailbox module only supports reading 
a Maildir.  The attached patch adds methods for adding messages
and moving them from folder to folder within the Maildir.
The mailbox test suite is also expanded to actually exercise the 
Maildir code a bit.

This patch doesn't include the required documentation.
For now I just want a review of the interface (are add_message()
and move_message() all we need?  are the parameters right?).
and of the code.
msg42851 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2003-02-14 13:43
Logged In: YES 
user_id=11375

Thank you, sir; may I have another?
msg42852 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2005-12-04 14:30
Logged In: YES 
user_id=11375

This patch is now superseded by Gregory Johnson's Summer of
Code work, which adds write support to all the mailbox
classes, not just Maildir, and also includes the
documentation changes.
msg42853 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2006-04-01 22:02
Logged In: YES 
user_id=849994

Closing then. Is Gregory Johnson's SOC work already in the
trunk?
msg42854 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2006-04-03 11:34
Logged In: YES 
user_id=11375

No, it's not.  I'd like to push to have it included in one
of the 2.5 alphas.
History
Date User Action Args
2003-02-14 13:42:27akuchlingcreate